"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var definition_1 = require("../definition");
var TransportActionBuilder = /** @class */ (function () {
    function TransportActionBuilder() {
    }
    /**
     * @stable [16.03.2020]
     * @param {IFluxTransportEntity} data
     * @returns {IEffectsAction}
     */
    TransportActionBuilder.buildUpdateTokenAction = function (data) {
        return redux_effects_promise_1.EffectsAction.create(definition_1.$_RAC_TRANSPORT_UPDATE_TOKEN_ACTION_TYPE, data);
    };
    /**
     * @stable [16.03.2020]
     * @returns {IEffectsAction}
     */
    TransportActionBuilder.buildDestroyTokenAction = function () {
        return redux_effects_promise_1.EffectsAction.create(definition_1.$_RAC_TRANSPORT_DESTROY_TOKEN_ACTION_TYPE);
    };
    return TransportActionBuilder;
}());
exports.TransportActionBuilder = TransportActionBuilder;
//# sourceMappingURL=transport-action.builder.js.map