import { IConnectorContainerFactory, IGenericContainerCtor } from '../../../definition';
export declare class ConnectorContainerFactory implements IConnectorContainerFactory {
    private static readonly logger;
    private readonly environment;
    /**
     * @stable [11.06.2020]
     * @param {IGenericContainerCtor} target
     * @param {string} section
     * @returns {IGenericContainerCtor}
     */
    fromTarget(target: IGenericContainerCtor, section: string): IGenericContainerCtor;
}
