"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../util");
var generic_base_component_1 = require("../base/generic-base.component");
var definition_1 = require("../../definition");
/**
 * @component-impl
 * @stable [29.05.2020]
 */
var Drawer = /** @class */ (function (_super) {
    __extends(Drawer, _super);
    function Drawer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [29.05.2020]
     * @returns {JSX.Element}
     */
    Drawer.prototype.render = function () {
        var _a = this.mergedProps, className = _a.className, mini = _a.mini;
        return (React.createElement("div", { ref: this.actualRef, className: util_1.ClsUtils.joinClassName(definition_1.DrawerClassesEnum.DRAWER, mini && definition_1.DrawerClassesEnum.DRAWER_MINI, util_1.CalcUtils.calc(className)) }, this.props.children));
    };
    Object.defineProperty(Drawer.prototype, "componentsSettingsProps", {
        /**
         * @stable [02.06.2020]
         * @returns {IDrawerProps}
         */
        get: function () {
            return this.componentsSettings.drawer;
        },
        enumerable: true,
        configurable: true
    });
    return Drawer;
}(generic_base_component_1.GenericBaseComponent));
exports.Drawer = Drawer;
//# sourceMappingURL=drawer.component.js.map