/// <reference types="react" />
import { IChipsFieldProps } from '../../../definition';
import { MultiField } from '../multifield/multifield.component';
/**
 * @component-impl
 * @stable [16.06.2020]
 */
export declare class ChipsField extends MultiField<IChipsFieldProps> {
    /**
     * @stable [08.07.2020]
     * @returns {JSX.Element}
     */
    protected readonly attachmentElement: JSX.Element;
    /**
     * @stable [16.06.2020]
     * @returns {string}
     */
    protected getFieldClassName(): string;
    /**
     * @stable [08.07.2020]
     * @param {INamedEntity} item
     * @returns {JSX.Element}
     */
    private getInlineOptionElement;
    /**
     * @stable [16.06.2020]
     * @returns {INamedEntity[]}
     */
    private readonly inlineOptions;
}
