import { BaseSelect } from './base-select.component';
import { IPresetsSelectOptionEntity, ISelectProps, ISelectState } from '../../../definition';
export declare class Select extends BaseSelect<ISelectProps, ISelectState> {
    static readonly defaultProps: ISelectProps;
    /**
     * @stable [28.01.2020]
     * @returns {IPresetsSelectOptionEntity[]}
     */
    protected getFilteredOptions(): IPresetsSelectOptionEntity[];
    /**
     * @stable [17.06.2020]
     * @returns {string}
     */
    protected getFieldClassName(): string;
}
