"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var base_select_component_1 = require("./base-select.component");
var definition_1 = require("../../../definition");
var util_1 = require("../../../util");
var Select = /** @class */ (function (_super) {
    __extends(Select, _super);
    function Select() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [28.01.2020]
     * @returns {IPresetsSelectOptionEntity[]}
     */
    Select.prototype.getFilteredOptions = function () {
        var _this = this;
        var id = this.fromSelectValueToId(this.value);
        return _super.prototype.getFilteredOptions.call(this, function (option) { return _this.fromSelectValueToId(option) !== id; });
    };
    /**
     * @stable [17.06.2020]
     * @returns {string}
     */
    Select.prototype.getFieldClassName = function () {
        return util_1.ClsUtils.joinClassName(_super.prototype.getFieldClassName.call(this), definition_1.SelectClassesEnum.SELECT);
    };
    Select.defaultProps = {
        preventFocus: true,
    };
    return Select;
}(base_select_component_1.BaseSelect));
exports.Select = Select;
//# sourceMappingURL=select.component.js.map