"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var definition_1 = require("../../../definition");
var base_text_field_component_1 = require("./base-text-field.component");
var util_1 = require("../../../util");
/**
 * @component-impl
 * @stable [18.06.2020]
 */
var TextField = /** @class */ (function (_super) {
    __extends(TextField, _super);
    function TextField() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [18.06.2020]
     * @returns {string}
     */
    TextField.prototype.getFieldClassName = function () {
        return util_1.ClsUtils.joinClassName(_super.prototype.getFieldClassName.call(this), definition_1.TextFieldClassesEnum.TEXT_FIELD);
    };
    TextField.defaultProps = {
        clearActionRendered: false,
    };
    return TextField;
}(base_text_field_component_1.BaseTextField));
exports.TextField = TextField;
//# sourceMappingURL=text-field.component.js.map