/// <reference types="react" />
import { GenericContainer } from '../base/generic.container';
import { IFormContainerProps } from '../../definition';
/**
 * @component-container-impl
 * @stable [01.08.2020]
 *
 * Please use the "Mappers.formContainerProps"
 */
export declare class FormContainer extends GenericContainer<IFormContainerProps> {
    /**
     * @stable [01.08.2020]
     * @param originalProps
     */
    constructor(originalProps: IFormContainerProps);
    /**
     * @stable [01.08.2020]
     */
    render(): JSX.Element;
    /**
     * @stable [01.08.2020]
     * @param payload
     */
    private onChange;
    /**
     * @stable [01.08.2020]
     * @param valid
     */
    private onValid;
    /**
     * @stable [01.08.2020]
     */
    private onReset;
    /**
     * @stable [01.08.2020]
     * @param apiEntity
     */
    private onSubmit;
    /**
     * @stable [01.08.2020]
     */
    private readonly formConfiguration;
}
