import * as React from 'react';
import { IGridColumnProps } from '../../../definition';
import { BaseGridColumn } from '../base-column';
export declare class GridHeadColumn extends BaseGridColumn {
    static readonly defaultProps: IGridColumnProps;
    /**
     * @stable [28.07.2020]
     * @param originalProps
     */
    constructor(originalProps: IGridColumnProps);
    /**
     * @stable [28.07.2020]
     */
    render(): JSX.Element;
    /**
     * @stable [28.07.2020]
     * @param children
     */
    protected getColumnContentElement(children: React.ReactNode): React.ReactNode;
    /**
     * @stable [28.07.2020]
     */
    private onCloseClick;
    /**
     * @stable [28.07.2020]
     */
    private onAscSortingActionClick;
    /**
     * @stable [28.07.2020]
     */
    private onDescSortingActionClick;
    /**
     * @stable [19.07.2020]
     * @param {SortDirectionsEnum} direction
     */
    private doSortingDirectionChange;
    /**
     * @stable [28.07.2020]
     */
    private readonly isDescSortingEnabled;
    /**
     * @stable [28.07.2020]
     */
    private readonly isAscSortingEnabled;
    /**
     * @stable [28.07.2020]
     */
    private readonly styles;
}
