/// <reference types="react" />
import { GenericBaseComponent } from '../../base/generic-base.component';
import { IListItemProps } from '../../../definition';
/**
 * @component-impl
 * @stable [17.08.2020]
 */
export declare class ListItem extends GenericBaseComponent<IListItemProps> {
    static readonly defaultProps: IListItemProps;
    /**
     * @stable [17.08.2020]
     * @param originalProps
     */
    constructor(originalProps: IListItemProps);
    /**
     * @stable [09.08.2020]
     */
    render(): JSX.Element;
    /**
     * @stable [17.08.2020]
     * @param selectedElementClassName
     */
    private getItemProps;
    /**
     * @stable [09.08.2020]
     */
    private onClick;
    /**
     * @stable [17.08.2020]
     */
    private readonly iconElement;
    /**
     * @stable [17.08.2020]
     */
    protected readonly componentsSettingsProps: IListItemProps;
}
