"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var definition_1 = require("../../definition");
var util_1 = require("../../util");
var enhanced_generic_component_1 = require("../base/enhanced-generic.component");
/**
 * @component-impl
 * @stable [22.05.2020]
 */
var Main = /** @class */ (function (_super) {
    __extends(Main, _super);
    function Main() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [22.05.2020]
     * @returns {JSX.Element}
     */
    Main.prototype.render = function () {
        var mergedProps = this.mergedProps;
        var className = mergedProps.className, selectedElementClassName = mergedProps.selectedElementClassName, stickyElementClassName = mergedProps.stickyElementClassName, subHeaderRendered = mergedProps.subHeaderRendered;
        return (React.createElement(definition_1.UniversalStickyContext.Provider, { value: stickyElementClassName },
            React.createElement(definition_1.UniversalScrollableContext.Provider, { value: selectedElementClassName },
                React.createElement("div", { className: util_1.ClsUtils.joinClassName(definition_1.MainClassesEnum.MAIN, util_1.WrapperUtils.isFull(mergedProps) && definition_1.MainClassesEnum.FULL_MAIN, subHeaderRendered && definition_1.MainClassesEnum.MAIN_WITH_SUB_HEADER, util_1.CalcUtils.calc(className)) },
                    React.createElement("div", { ref: this.actualRef, className: definition_1.MainClassesEnum.MAIN_BODY },
                        React.createElement("div", { className: definition_1.MainClassesEnum.MAIN_BODY_CONTENT }, this.props.children))))));
    };
    Object.defineProperty(Main.prototype, "componentsSettingsProps", {
        /**
         * @stable [02.06.2020]
         * @returns {IMainProps}
         */
        get: function () {
            return this.componentsSettings.main;
        },
        enumerable: true,
        configurable: true
    });
    return Main;
}(enhanced_generic_component_1.EnhancedGenericComponent));
exports.Main = Main;
//# sourceMappingURL=main.component.js.map