/// <reference types="react" />
import { IUniversalContainerProps } from '../../definition';
import { GenericContainer } from '../base/generic.container';
export declare class NotificationContainer extends GenericContainer {
    /**
     * @stable [13.02.2020]
     * @param {IUniversalContainerProps} props
     */
    constructor(props: IUniversalContainerProps);
    /**
     * @stable [13.02.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [13.02.2020]
     * @returns {JSX.Element}
     */
    private readonly snackbarElement;
    /**
     * @stable [12.06.2020]
     */
    private clearCurrentNotification;
}
