"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../util");
var generic_component_1 = require("../base/generic.component");
/**
 * @component-impl
 * @stable [01.06.2020]
 */
var Title = /** @class */ (function (_super) {
    __extends(Title, _super);
    function Title() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [01.06.2020]
     * @returns {JSX.Element}
     */
    Title.prototype.render = function () {
        var _a = this.mergedProps, className = _a.className, contentBorder = _a.contentBorder, items = _a.items;
        return (React.createElement("div", { className: util_1.ClsUtils.joinClassName('rac-title', util_1.CalcUtils.calc(className)) },
            React.createElement("div", { className: 'rac-title__content' },
                this.t(this.props.children),
                contentBorder && React.createElement("div", { className: 'rac-title__content-edge' })),
            items && (React.createElement("div", { className: 'rac-title__right-content' }, items))));
    };
    Object.defineProperty(Title.prototype, "componentsSettingsProps", {
        /**
         * @stable [02.06.2020]
         * @returns {ITitleProps}
         */
        get: function () {
            return this.componentsSettings.title;
        },
        enumerable: true,
        configurable: true
    });
    return Title;
}(generic_component_1.GenericComponent));
exports.Title = Title;
//# sourceMappingURL=title.component.js.map