"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var field_definition_interface_1 = require("./field-definition.interface");
var place_field_definition_interface_1 = require("./place-field-definition.interface");
var list_definition_interface_1 = require("./list-definition.interface");
var dom_definition_interface_1 = require("./dom-definition.interface");
var stack_definition_interface_1 = require("./stack-definition.interface");
var settings_definition_interface_1 = require("./settings-definition.interface");
var form_definition_interface_1 = require("./form-definition.interface");
var page_definition_interface_1 = require("./page-definition.interface");
var dictionary_definition_interface_1 = require("./dictionary-definition.interface");
var select_definition_interface_1 = require("./select-definition.interface");
var menu_definition_interface_1 = require("./menu-definition.interface");
/**
 * @stable [17.05.2020]
 */
var DefaultEntities = /** @class */ (function () {
    function DefaultEntities() {
    }
    DefaultEntities.COMPACT_FORM_ENTITY = form_definition_interface_1.DEFAULT_COMPACT_FORM_ENTITY; /* @stable [09.06.2020] */
    DefaultEntities.COMPONENTS_SETTINGS_ENTITY = settings_definition_interface_1.DEFAULT_COMPONENTS_SETTINGS_ENTITY; /* @stable [21.05.2020] */
    DefaultEntities.CURRENCY_PRECISION_VALUE = 2; /* @stable [24.07.2020] */
    DefaultEntities.DICTIONARY_PAGED_ENTITY = dictionary_definition_interface_1.DEFAULT_DICTIONARY_PAGED_ENTITY; /* @stable [26.07.2020] */
    DefaultEntities.DOM_RIGHT_POSITION_CONFIG_ENTITY = dom_definition_interface_1.DEFAULT_DOM_RIGHT_POSITION_CONFIG_ENTITY; /* @stable [21.05.2020] */
    DefaultEntities.FILTERED_MENU_ENTITY = menu_definition_interface_1.DEFAULT_FILTERED_MENU_ENTITY; /* @stable [08.08.2020] */
    DefaultEntities.FIRST_PAGE = page_definition_interface_1.FIRST_PAGE; /* @stable [16.07.2020] */
    DefaultEntities.INITIAL_REDUX_LIST_ENTITY = list_definition_interface_1.INITIAL_REDUX_LIST_ENTITY; /* @stable [29.07.2020] */
    DefaultEntities.INITIAL_REDUX_STACK_ENTITY = stack_definition_interface_1.INITIAL_REDUX_STACK_ENTITY; /* @stable [21.05.2020] */
    DefaultEntities.LOCAL_PAGE_SIZE = page_definition_interface_1.DEFAULT_LOCAL_PAGE_SIZE; /* @stable [16.07.2020] */
    DefaultEntities.NO_AUTO_COMPLETE_FIELD_ENTITY = field_definition_interface_1.DEFAULT_NO_AUTO_COMPLETE_FIELD_ENTITY; /* @stable [11.08.2020] */
    DefaultEntities.NOT_CHANGEABLE_FIELD_ENTITY = field_definition_interface_1.DEFAULT_NOT_CHANGEABLE_FIELD_ENTITY; /* @stable [01.06.2020] */
    DefaultEntities.NOT_HOVERED_LIST_ITEM_ENTITY = list_definition_interface_1.DEFAULT_NOT_HOVERED_LIST_ITEM_ENTITY; /* @stable [19.05.2020] */
    DefaultEntities.PAGINATED_SINGLE_ENTITY = page_definition_interface_1.DEFAULT_PAGINATED_SINGLE_ENTITY; /* @stable [17.06.2020] */
    DefaultEntities.PLACE_FIELD_ENTITY = place_field_definition_interface_1.DEFAULT_PLACE_FIELD_ENTITY; /* @stable [11.08.2020] */
    DefaultEntities.QUICK_SEARCH_FIELD_ENTITY = select_definition_interface_1.DEFAULT_QUICK_SEARCH_FIELD_ENTITY; /* @stable [17.05.2020] */
    DefaultEntities.ROOT_SECTION = 'root'; /* @stable [22.05.2020] */
    DefaultEntities.SELECTABLE_LIST_ITEM_ENTITY = list_definition_interface_1.DEFAULT_SELECTABLE_LIST_ITEM_ENTITY; /* @stable [19.05.2020] */
    DefaultEntities.UNLIMITED_HEIGHT_MENU_ENTITY = menu_definition_interface_1.DEFAULT_UNLIMITED_HEIGHT_MENU_ENTITY; /* @stable [10.08.2020] */
    DefaultEntities.ZIP_CODE_FIELD_ENTITY = place_field_definition_interface_1.DEFAULT_ZIP_CODE_FIELD_ENTITY; /* @stable [17.05.2020] */
    return DefaultEntities;
}());
exports.DefaultEntities = DefaultEntities;
//# sourceMappingURL=default-definition.interface.js.map