import { IErrorWrapper, IInfoWrapper, INotificationWrapper } from '../definitions.interface';
/**
 * @redux-entity
 * @stable [12.06.2020]
 */
export interface IReduxNotificationEntity extends IErrorWrapper<string>, IInfoWrapper {
}
/**
 * @flux-entity
 * @stable [12.06.2020]
 */
export interface IFluxNotificationEntity extends IReduxNotificationEntity {
}
/**
 * @redux-holder-entity
 * @stable [12.06.2020]
 */
export interface IReduxNotificationHolderEntity<TEntity = IReduxNotificationEntity> extends INotificationWrapper<TEntity> {
}
/**
 * @initial-redux-entity
 * @stable [31.07.2020]
 */
export declare const INITIAL_REDUX_NOTIFICATION_ENTITY: Readonly<IReduxNotificationEntity>;
/**
 * @stable [12.06.2020]
 */
export declare const $_RAC_NOTIFICATION_INFO_ACTION_TYPE: string;
export declare const $_RAC_NOTIFICATION_ERROR_ACTION_TYPE: string;
export declare const $_RAC_NOTIFICATION_CLEAR_ACTION_TYPE: string;
