"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DI_TYPES = Object.freeze({
    Api: Symbol('Api'),
    AsyncLibManager: Symbol('AsyncLibManager'),
    Auth: Symbol('Auth'),
    Channel: Symbol('Channel'),
    ConnectorContainerFactory: Symbol('ConnectorContainerFactory'),
    CryptoManager: Symbol('CryptoManager'),
    DatabaseStorage: Symbol('DatabaseStorage'),
    DateConverter: Symbol('DateConverter'),
    DialogFormChangesConfirmStoreProxyFactory: Symbol('DialogFormChangesConfirmStoreProxyFactory'),
    DictionaryStoreProxyFactory: Symbol('DictionaryStoreProxyFactory'),
    DomAccessor: Symbol('DomAccessor'),
    DynamicRoutes: Symbol('DynamicRoutes'),
    DynamicSections: Symbol('DynamicSections'),
    Environment: Symbol('Environment'),
    EventEmitter: Symbol('EventEmitter'),
    EventManager: Symbol('EventManager'),
    FieldConverter: Symbol('FieldConverter'),
    FieldsPresets: Symbol('FieldsPresets'),
    FileStorage: Symbol('FileStorage'),
    FormStoreProxyFactory: Symbol('FormStoreProxyFactory'),
    FullScreenManager: Symbol('FullScreenManager'),
    I18n: Symbol('I18n'),
    ListStoreProxyFactory: Symbol('ListStoreProxyFactory'),
    Lock: Symbol('Lock'),
    LogManager: Symbol('LogManager'),
    LogManagerEventPayloadFactory: Symbol('LogManagerEventPayloadFactory'),
    Menu: Symbol('Menu'),
    ModifyEntityPayloadFactory: Symbol('ModifyEntityPayloadFactory'),
    MultiEntityDatabaseStorage: Symbol('MultiEntityDatabaseStorage'),
    NotificationStoreProxyFactory: Symbol('NotificationStoreProxyFactory'),
    NotVersionedPersistentStorage: Symbol('NotVersionedPersistentStorage'),
    NotVersionedSessionStorage: Symbol('NotVersionedSessionStorage'),
    NumberConverter: Symbol('NumberConverter'),
    PermissionsManager: Symbol('PermissionsManager'),
    PhoneConverter: Symbol('PhoneConverter'),
    PlacesApi: Symbol('PlacesApi'),
    ReactBootstrapper: Symbol('ReactBootstrapper'),
    Router: Symbol('Router'),
    RouterStoreProxyFactory: Symbol('RouterStoreProxyFactory'),
    Routes: Symbol('Routes'),
    Settings: Symbol('Settings'),
    StateSerializer: Symbol('StateSerializer'),
    Storage: Symbol('Storage'),
    Store: Symbol('Store'),
    StoreProxyFactory: Symbol('StoreProxyFactory'),
    TabPanelStoreProxyFactory: Symbol('TabPanelStoreProxyFactory'),
    Translate: Symbol('Translate'),
    Transport: Symbol('Transport'),
    TransportErrorInterceptor: Symbol('TransportErrorInterceptor'),
    TransportFactory: Symbol('TransportFactory'),
    TransportRequestDataFactory: Symbol('TransportRequestDataFactory'),
    TransportRequestPayloadFactory: Symbol('TransportRequestPayloadFactory'),
    TransportRequestProvider: Symbol('TransportRequestProvider'),
    TransportResponseAccessor: Symbol('TransportResponseAccessor'),
    TransportResponseFactory: Symbol('TransportResponseFactory'),
    TransportTokenAccessor: Symbol('TransportTokenAccessor'),
    UiFactory: Symbol('UiFactory'),
    UiIconFactory: Symbol('UiIconFactory'),
    UiPlugins: Symbol('UiPlugins'),
    UserActivityManager: Symbol('UserActivityManager'),
    VersionProcessor: Symbol('VersionProcessor'),
    ViewerLocator: Symbol('ViewerLocator'),
    WebBootstrapper: Symbol('WebBootstrapper'),
});
//# sourceMappingURL=di.interface.js.map