"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var definition_1 = require("../definition");
var operation_1 = require("./operation");
var util_1 = require("../util");
/**
 * @stable [02.04.2020]
 * @param {string} uuid
 * @param {EntityIdT} entityId
 * @returns {IOperationEntity}
 */
exports.makeEntityOperation = function (uuid) {
    var entityId = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        entityId[_i - 1] = arguments[_i];
    }
    return operation_1.Operation.create(util_1.JoinUtils.join([uuid].concat(entityId), '-'));
};
/**
 * @stable [12.05.2020]
 */
exports.VERSION_PROCESSOR_LOADING_INFO_OPERATION = operation_1.Operation.create(definition_1.VERSION_PROCESSOR_LOADING_INFO_OPERATION_UUID);
//# sourceMappingURL=operation.support.js.map