"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var localforage = require("localforage");
var di_1 = require("../../di");
var database_storage_service_1 = require("./database-storage.service");
var definition_1 = require("../../definition");
di_1.appContainer.bind(di_1.DI_TYPES.DatabaseStorage).toConstantValue(new database_storage_service_1.DatabaseStorage(localforage.createInstance({
    driver: localforage.INDEXEDDB,
    name: 'racApp',
    storeName: 'racDatabase',
    version: 1.0,
}), definition_1.STORAGE_VERSIONED_KEY));
//# sourceMappingURL=database-storage.module.js.map