/**
 * @stable [07.06.2020]
 */
export declare class EffectsFactories {
    static readonly editedListEffectsProxy: <TPayload = {}, TState = {}, TDefaultChanges = {}>(cfg: import("../..").IEditedListMiddlewareConfigEntity<TPayload, TState, TDefaultChanges>) => () => void;
    static readonly errorEffectsProxy: (actionType: string) => () => void;
    static readonly formSubmitErrorEffectsProxy: (actionType: string) => () => void;
    static readonly listLoadErrorEffectsProxy: (section: string) => () => void;
    static readonly loadedListOnFormValidEffectsProxy: <TState = {}>(cfg: import("../..").ILoadedListOnFormValidMiddlewareConfigEntity<TState>) => () => void;
    static readonly paginatedListEffectsProxy: <TState = {}>(cfg: import("../..").ILoadedListOnNavigateToPageMiddlewareConfigEntity<TState>) => () => void;
    static readonly succeedEditedListEffectsProxy: <TState = {}>(config: import("../..").ISucceedEditedListMiddlewareConfigEntity<TState>) => () => void;
    static readonly toolbarToolsEffectsProxy: <TState = {}>(cfg: import("../..").ILoadedListOnToolbarToolsRefreshConfigEntity<TState>) => () => void;
    static readonly untouchedListEffectsProxy: <TState = {}, TDefaultFormChanges = {}>(cfg: import("../..").IUntouchedListMiddlewareConfigEntity<TState, TDefaultFormChanges>) => () => void;
}
