import { IEffectsAction } from 'redux-effects-promise';
import { IChainedMiddlewareConfigEntity } from '../../definition';
/**
 * @stable [26.03.2020]
 * @param {IChainedMiddlewareConfigEntity<TState, TPayload>} config
 * @returns {IEffectsAction[]}
 */
export declare const makeChainedMiddleware: <TPayload, TState>(config: IChainedMiddlewareConfigEntity<TState, TPayload>) => IEffectsAction[];
