"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var action_1 = require("../../action");
var util_1 = require("../../util");
/**
 * @stable [03.04.2020]
 * @param {IDefaultFormChangesMiddlewareConfigEntity<TChanges, TState>} cfg
 * @returns {IEffectsAction}
 */
exports.makeDefaultFormChangesMiddleware = function (cfg) {
    return util_1.orNull(util_1.isObjectNotEmpty(cfg.defaultChanges) && util_1.isObjectNotEmpty(util_1.toFormSection(cfg)), function () { return action_1.FormActionBuilder.buildDefaultChangesAction(util_1.toFormSection(cfg), util_1.calc(cfg.defaultChanges)); });
};
//# sourceMappingURL=default-form-changes.middleware.js.map