import { IEffectsAction } from 'redux-effects-promise';
import { IEditedListMiddlewareConfigEntity } from '../../definition';
/**
 * @stable [03.04.2020]
 * @param {IEditedListMiddlewareConfigEntity<TState, TDefaultChanges>} config
 * @returns {IEffectsAction[]}
 */
export declare const makeCreateEntityMiddleware: <TState = {}, TDefaultChanges = {}>(config: IEditedListMiddlewareConfigEntity<{}, TState, TDefaultChanges>) => IEffectsAction[];
/**
 * @stable [03.04.2020]
 * @param {IEditedListMiddlewareConfigEntity<TPayload, TState, TDefaultChanges>} cfg
 * @returns {IEffectsAction[]}
 */
export declare const makeSelectEntityMiddleware: <TPayload = {}, TState = {}, TDefaultChanges = {}>(cfg: IEditedListMiddlewareConfigEntity<TPayload, TState, TDefaultChanges>) => IEffectsAction[];
/**
 * @stable [03.04.2020]
 * @param {IEditedListMiddlewareConfigEntity<TPayload, TState, TDefaultChanges>} config
 * @returns {IEffectsAction[]}
 */
export declare const makeLazyLoadedEntityMiddleware: <TPayload = {}, TState = {}, TDefaultChanges = {}>(config: IEditedListMiddlewareConfigEntity<TPayload, TState, TDefaultChanges>) => IEffectsAction[];
