/**
 * @stable [07.06.2020]
 */
export declare class MiddlewareFactories {
    static readonly chainedMiddleware: <TPayload, TState>(config: import("../..").IChainedMiddlewareConfigEntity<TState, TPayload>) => import("redux-effects-promise").IEffectsAction[];
    static readonly lazyLoadedEntityMiddleware: <TPayload = {}, TState = {}, TDefaultChanges = {}>(config: import("../..").IEditedListMiddlewareConfigEntity<TPayload, TState, TDefaultChanges>) => import("redux-effects-promise").IEffectsAction[];
    static readonly loadedListOnNavigateToFirstPageMiddleware: <TState = {}>(cfg: import("../..").ILoadedListOnNavigateToPageMiddlewareConfigEntity<TState>) => import("redux-effects-promise").IEffectsAction[];
    static readonly loadedListOnNavigateToLastPageMiddleware: <TState = {}>(cfg: import("../..").ILoadedListOnNavigateToPageMiddlewareConfigEntity<TState>) => import("redux-effects-promise").IEffectsAction[];
    static readonly loadedListOnNavigateToNextPageMiddleware: <TState = {}>(cfg: import("../..").ILoadedListOnNavigateToPageMiddlewareConfigEntity<TState>) => import("redux-effects-promise").IEffectsAction[];
    static readonly loadedListOnNavigateToPreviousPageMiddleware: <TState = {}>(cfg: import("../..").ILoadedListOnNavigateToPageMiddlewareConfigEntity<TState>) => import("redux-effects-promise").IEffectsAction[];
    static readonly untouchedListMiddleware: <TState = {}>(config: import("../..").IUntouchedListMiddlewareConfigEntity<TState, {}>) => import("redux-effects-promise").IEffectsAction[];
}
