"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var chained_middleware_1 = require("./chained.middleware");
var edited_list_middleware_1 = require("./edited-list.middleware");
var loaded_list_middleware_1 = require("./loaded-list.middleware");
/**
 * @stable [07.06.2020]
 */
var MiddlewareFactories = /** @class */ (function () {
    function MiddlewareFactories() {
    }
    MiddlewareFactories.chainedMiddleware = chained_middleware_1.makeChainedMiddleware;
    MiddlewareFactories.lazyLoadedEntityMiddleware = edited_list_middleware_1.makeLazyLoadedEntityMiddleware;
    MiddlewareFactories.loadedListOnNavigateToFirstPageMiddleware = loaded_list_middleware_1.makeLoadedListOnNavigateToFirstPageMiddleware;
    MiddlewareFactories.loadedListOnNavigateToLastPageMiddleware = loaded_list_middleware_1.makeLoadedListOnNavigateToLastPageMiddleware;
    MiddlewareFactories.loadedListOnNavigateToNextPageMiddleware = loaded_list_middleware_1.makeLoadedListOnNavigateToNextPageMiddleware;
    MiddlewareFactories.loadedListOnNavigateToPreviousPageMiddleware = loaded_list_middleware_1.makeLoadedListOnNavigateToPreviousPageMiddleware;
    MiddlewareFactories.untouchedListMiddleware = loaded_list_middleware_1.makeUntouchedListMiddleware;
    return MiddlewareFactories;
}());
exports.MiddlewareFactories = MiddlewareFactories;
//# sourceMappingURL=middleware.factory.js.map