"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var universal_store_factory_1 = require("./universal-store.factory");
var store_interface_1 = require("./store.interface");
/**
 * @stable [17.06.2020]
 * @param {TReducers} reducers
 * @param {Middleware[]} appMiddlewares
 * @returns {Promise<Store<IStoreEntity>>}
 */
exports.makeStore = function (reducers, appMiddlewares) {
    return universal_store_factory_1.buildUniversalStore(__assign({}, store_interface_1.defaultReducers, reducers), appMiddlewares);
};
//# sourceMappingURL=store.factory.js.map