"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
/**
 * @stable [03.05.2020]
 * @param {string} barcode
 * @returns {string}
 */
exports.normalizeBarcode = function (barcode) {
    if (R.isNil(barcode)) {
        return barcode;
    }
    // The barcode normalization (this is a production issue fix)
    return barcode.replace(/\s{2,}/g, ' ').trim();
};
//# sourceMappingURL=barcode.js.map