/**
 * @stable [09.10.2019]
 * @param {(...args) => AnyT} sourceFn
 * @param {(...args) => AnyT} nextFn
 * @param {AnyT} nextFnScope
 * @returns {(...args) => AnyT}
 */
export declare const sequence: (sourceFn: (...args: any[]) => any, nextFn: (...args: any[]) => any, nextFnScope?: any) => (...args: any[]) => any;
export declare function noop(): void;
