import { IEffectsAction } from 'redux-effects-promise';
export declare class FilterFormDialogActionBuilder {
    /**
     * @stable [12.03.2019]
     * @param {string} section
     * @returns {string}
     */
    static buildResetActionType(section: string): string;
    /**
     * @stable [10.03.2019]
     * @param {string} section
     * @returns {string}
     */
    static buildAcceptActionType(section: string): string;
    /**
     * @stable [10.03.2019]
     * @param {string} section
     * @returns {string}
     */
    static buildClearActionType(section: string): string;
    /**
     * @stable [23.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    static buildResetPlainAction(section: string): IEffectsAction;
    /**
     * @stable [23.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    static buildAcceptPlainAction(section: string): IEffectsAction;
    /**
     * @stable [23.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    static buildClearPlainAction(section: string): IEffectsAction;
}
