import { IEffectsAction } from 'redux-effects-promise';
export declare class ToolbarToolsActionBuilder {
    /**
     * @stable [16.04.2019]
     * @param {string} section
     * @returns {string}
     */
    static buildDownloadFileActionType(section: string): string;
    /**
     * @stable [11.03.2019]
     * @param {string} section
     * @returns {string}
     */
    static buildRefreshActionType(section: string): string;
    /**
     * @stable [11.03.2019]
     * @param {string} section
     * @returns {string}
     */
    static buildFilterActionType(section: string): string;
    /**
     * @stable [11.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    static buildRefreshPlainAction(section: string): IEffectsAction;
    /**
     * @stable [11.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    static buildFilterPlainAction(section: string): IEffectsAction;
    /**
     * @stable [11.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    static buildDownloadFilePlainAction(section: string): IEffectsAction;
}
