/// <reference types="react" />
import { GenericBaseComponent } from '../../base/generic-base.component';
import { ICardProps } from '../../../definition';
export declare class Card extends GenericBaseComponent<ICardProps> {
    /**
     * @stable [08.06.2020]
     * @param {ICardProps} props
     */
    constructor(props: ICardProps);
    /**
     * @stable [08.06.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [08.06.2020]
     */
    private onClick;
}
