import { ConnectorMapperT, IUniversalContainerCtor, IUniversalStoreEntity } from '../../definition';
/**
 * @stable [16.11.2019]
 * @param {IUniversalContainerCtor} containerCtor
 * @param {ConnectorMapperT<TStoreEntity extends IUniversalStoreEntity>} mappers
 * @returns {IUniversalContainerCtor}
 */
export declare const connectorFactory: <TStoreEntity extends IUniversalStoreEntity<{}, {}> = IUniversalStoreEntity<{}, {}>>(containerCtor: IUniversalContainerCtor<import("../../definition").IUniversalContainerProps<any, any>, {}, {}, {}>, ...mappers: ConnectorMapperT<TStoreEntity>[]) => IUniversalContainerCtor<import("../../definition").IUniversalContainerProps<any, any>, {}, {}, {}>;
