import { IActivateDialogConfigEntity, IUnsavedFormChangesDialogProps } from '../../../definition';
import { BaseDialog } from '../base-dialog.component';
/**
 * @component-impl
 * @stable [01.08.2020]
 *
 * Please use the "Mappers.unsavedFormChangesDialogProps"
 */
export declare class UnsavedFormChangesDialog extends BaseDialog<IUnsavedFormChangesDialogProps> {
    static readonly defaultProps: IUnsavedFormChangesDialogProps;
    /**
     * @stable [11.05.2020]
     * @param {IActivateDialogConfigEntity} payload
     */
    activate(payload?: IActivateDialogConfigEntity): void;
    /**
     * @stable [15.06.2020]
     * @returns {string}
     */
    protected readonly acceptText: string;
    /**
     * @stable [15.06.2020]
     * @returns {string | boolean}
     */
    protected readonly title: string | boolean;
}
