/// <reference types="react" />
import { BaseComponent } from '../base';
import { IDndProps } from './dnd.interface';
export declare class DnD extends BaseComponent<IDndProps> {
    /**
     * @stable [03.08.2018]
     * @param {IDndProps} props
     */
    constructor(props: IDndProps);
    /**
     * @stable [03.08.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [03.08.2018]
     */
    open(): void;
    /**
     * @stable [03.08.2018]
     * @param {File[]} files
     */
    private onDrop;
    /**
     * @stable [03.08.2018]
     * @returns {INativeDropZoneComponent}
     */
    private readonly dropZone;
}
