import { IGenericPlugin } from '../../../../definition';
export declare class DelayedChangesFieldPlugin implements IGenericPlugin {
    private component;
    static DEFAULT_DELAY_TIMEOUT: number;
    private currentValue;
    private delayedTask;
    /**
     * @stable [18.05.2018]
     * @param {IGenericField2} component
     */
    constructor(component: any);
    /**
     * @stable [04.05.2018]
     */
    componentWillUnmount(): void;
    /**
     * @stable [04.05.2018]
     * @param {IKeyboardEvent} event
     */
    private onKeyEnter;
    /**
     * @stable [04.05.2018]
     * @param {IChangeEvent} event
     */
    private onChange;
    /**
     * @stable [18.05.2018]
     */
    private onChangeManually;
    /**
     * @stable [04.05.2018]
     * @param {AnyT} value
     */
    private doDelay;
}
