/// <reference types="react" />
import { GenericBaseComponent } from '../../base/generic-base.component';
import { IGridRowProps } from '../../../definition';
export declare class GridRow extends GenericBaseComponent<IGridRowProps> {
    static readonly defaultProps: IGridRowProps;
    /**
     * @stable [17.08.2020]
     * @param originalProps
     */
    constructor(originalProps: IGridRowProps);
    /**
     * @stable [23.10.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [19.07.2020]
     */
    private onClick;
    /**
     * @stable [17.08.2020]
     */
    protected readonly componentsSettingsProps: IGridRowProps;
}
