"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../../util");
var generic_component_1 = require("../../base/generic.component");
var definition_1 = require("../../../definition");
/**
 * @component-impl
 * @stable [31.05.2020]
 */
var FormLayout = /** @class */ (function (_super) {
    __extends(FormLayout, _super);
    function FormLayout() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [31.05.2020]
     * @returns {JSX.Element}
     */
    FormLayout.prototype.render = function () {
        var _a = this.mergedProps, className = _a.className, topTitle = _a.topTitle;
        return (React.createElement("div", { className: util_1.ClsUtils.joinClassName(util_1.CalcUtils.calc(className), definition_1.LayoutClassesEnum.FORM_LAYOUT) },
            React.createElement("div", { className: definition_1.LayoutClassesEnum.FORM_LAYOUT_CONTENT },
                topTitle && (React.createElement("div", { className: definition_1.LayoutClassesEnum.FORM_LAYOUT_TOP_HEADER }, this.t(topTitle))),
                this.props.children)));
    };
    Object.defineProperty(FormLayout.prototype, "componentsSettingsProps", {
        /**
         * @stable [02.06.2020]
         * @returns {IFormLayoutProps}
         */
        get: function () {
            return this.componentsSettings.formLayout;
        },
        enumerable: true,
        configurable: true
    });
    return FormLayout;
}(generic_component_1.GenericComponent));
exports.FormLayout = FormLayout;
//# sourceMappingURL=form-layout.component.js.map