"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var info_1 = require("../info");
var connector_1 = require("../connector");
var definition_1 = require("../../definition");
var di_1 = require("../../di");
var base_1 = require("../base");
var util_1 = require("../../util");
var OAuthSignInContainer = /** @class */ (function (_super) {
    __extends(OAuthSignInContainer, _super);
    function OAuthSignInContainer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [14.03.2020]
     * @returns {JSX.Element}
     */
    OAuthSignInContainer.prototype.render = function () {
        return (React.createElement(info_1.Info, { className: util_1.joinClassName('rac-oauth-sign-in__message', definition_1.OAuthClassesEnum.OAUTH_VIEW), progress: true }));
    };
    OAuthSignInContainer.defaultProps = {
        sectionName: definition_1.OAUTH_SIGN_IN_SECTION,
    };
    OAuthSignInContainer = __decorate([
        connector_1.basicConnector({
            routeConfiguration: {
                path: function () { return di_1.getSettings().routes.oauthSignIn; },
            },
            mappers: [],
        })
    ], OAuthSignInContainer);
    return OAuthSignInContainer;
}(base_1.GenericContainer));
//# sourceMappingURL=oauth-sign-in.container.js.map