"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @default-entity
 * @stable [08.08.2020]
 */
exports.DEFAULT_FILTERED_MENU_ENTITY = Object.freeze({
    useFilter: true,
});
/**
 * @default-entity
 * @stable [08.08.2020]
 */
exports.DEFAULT_UNLIMITED_HEIGHT_MENU_ENTITY = Object.freeze({
    heightRestricted: false,
});
/**
 * @classes
 * @stable [07.07.2020]
 */
var MenuClassesEnum;
(function (MenuClassesEnum) {
    MenuClassesEnum["MENU"] = "rac-menu";
    MenuClassesEnum["MENU_APPLY_ACTION"] = "rac-menu__apply-action";
    MenuClassesEnum["MENU_EMPTY_MESSAGE"] = "rac-menu__empty-message";
    MenuClassesEnum["MENU_FILTER"] = "rac-menu__filter";
    MenuClassesEnum["MENU_HEIGHT_RESTRICTED"] = "rac-menu-height-restricted";
    MenuClassesEnum["MENU_ICON_CLOSE"] = "rac-menu__icon-close";
    MenuClassesEnum["MENU_INLINE_OPTIONS"] = "rac-menu__inline-options";
})(MenuClassesEnum = exports.MenuClassesEnum || (exports.MenuClassesEnum = {}));
//# sourceMappingURL=menu-definition.interface.js.map