import { IReduxMultiEntity, IMultiEntityStorageSetEntity, IStorage } from '../../definition';
export declare class MultiEntityDatabaseStorage implements IStorage {
    private readonly fileStorage;
    private readonly databaseStorage;
    /**
     * @stable [30.07.2019]
     * @param {string} key
     * @param {IReduxMultiEntity} entity
     * @returns {Promise<IMultiEntityStorageSetEntity>}
     */
    set(key: string, entity: IReduxMultiEntity): Promise<IMultiEntityStorageSetEntity>;
}
