"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var di_1 = require("../di");
var definition_1 = require("../definition");
var default_storage_service_1 = require("./default/default-storage.service");
require("./database/database-storage.module");
require("./default/default-storage.module");
require("./multi-entity/multi-entity-storage.module");
require("./universal-storage.effects");
/**
 * @stable [03.04.2020]
 */
di_1.appContainer.bind(di_1.DI_TYPES.NotVersionedPersistentStorage).toConstantValue(new default_storage_service_1.DefaultStorage(definition_1.STORAGE_NOT_VERSIONED_KEY, di_1.getSettings, definition_1.StorageTypesEnum.LOCAL));
/**
 * @stable [03.04.2020]
 */
di_1.appContainer.bind(di_1.DI_TYPES.NotVersionedSessionStorage).toConstantValue(new default_storage_service_1.DefaultStorage(definition_1.STORAGE_NOT_VERSIONED_KEY, di_1.getSettings, definition_1.StorageTypesEnum.SESSION));
//# sourceMappingURL=storage.module.js.map