import { IEffectsAction } from 'redux-effects-promise';
export declare const makeFailedEffectsProxy: (actionType: string, actionsResolver?: (action: IEffectsAction) => IEffectsAction[]) => () => void;
/**
 * @stable [18.07.2020]
 * @param {string} actionType
 * @returns {() => void}
 */
export declare const makeErrorEffectsProxy: (actionType: string) => () => void;
/**
 * @stable [26.07.2020]
 * @param actionType
 */
export declare const makeFormSubmitErrorEffectsProxy: (actionType: string) => () => void;
/**
 * @stable [26.07.2020]
 * @param section
 */
export declare const makeListLoadErrorEffectsProxy: (section: string) => () => void;
/**
 * @stable [23.12.2018]
 * @param {string} section
 * @returns {() => void}
 */
export declare const makeFailedListLazyLoadEffectsProxy: (section: string) => () => void;
/**
 * @stable [25.11.2019]
 * @param {string} section
 * @returns {() => void}
 */
export declare const makeFailedConnectorInitEffectsProxy: (section: string) => () => void;
