import { IEffectsAction } from 'redux-effects-promise';
import { IDefaultFormChangesMiddlewareConfigEntity } from '../../definition';
/**
 * @stable [03.04.2020]
 * @param {IDefaultFormChangesMiddlewareConfigEntity<TChanges, TState>} cfg
 * @returns {IEffectsAction}
 */
export declare const makeDefaultFormChangesMiddleware: <TChanges = {}, TState = {}>(cfg: IDefaultFormChangesMiddlewareConfigEntity<TChanges, TState>) => IEffectsAction;
