import { IEffectsAction } from 'redux-effects-promise';
import { IFilterFormDialogMiddlewareConfigEntity } from '../../definition';
/**
 * @stable [23.04.2020]
 * @param {IFilterFormDialogMiddlewareConfigEntity<TState>} cfg
 * @returns {IEffectsAction[]}
 */
export declare const makeFilterFormDialogClearMiddleware: <TState = {}>(cfg: IFilterFormDialogMiddlewareConfigEntity<TState>) => IEffectsAction[];
/**
 * @stable [23.04.2020]
 * @param {IFilterFormDialogMiddlewareConfigEntity<TState>} cfg
 * @returns {IEffectsAction}
 */
export declare const makeFilterFormDialogResetMiddleware: <TState = {}>(cfg: IFilterFormDialogMiddlewareConfigEntity<TState>) => IEffectsAction;
/**
 * @stable [23.04.2020]
 * @param {IFilterFormDialogMiddlewareConfigEntity<TState>} cfg
 * @returns {IEffectsAction}
 */
export declare const makeFilterFormDialogAcceptMiddleware: <TState = {}>(cfg: IFilterFormDialogMiddlewareConfigEntity<TState>) => IEffectsAction;
