import { AnyAction, Reducer } from 'redux';
import { IEffectsAction } from 'redux-effects-promise';
import { IReduxAsyncLibsEntity, IReduxDictionariesEntity, IReduxLayoutEntity, IReduxNotificationEntity, IReduxStackEntity } from '../definition';
export declare const defaultReducers: {
    channel?: Reducer<{}>;
    asyncLibs: (state: IReduxAsyncLibsEntity, action: AnyAction) => IReduxAsyncLibsEntity;
    dictionaries: (state: IReduxDictionariesEntity, action: IEffectsAction) => IReduxDictionariesEntity;
    permissions: (state: {}, action: AnyAction) => {};
    user: (state: {}, action: AnyAction) => {};
    layout: (state: IReduxLayoutEntity, action: AnyAction) => IReduxLayoutEntity;
    stack: (state: IReduxStackEntity, action: IEffectsAction) => IReduxStackEntity;
    notification: (state: IReduxNotificationEntity, action: IEffectsAction) => IReduxNotificationEntity;
};
