"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @stable [16.06.2020]
 * @param {(...args) => void} effects
 * @returns {(...args) => void}
 */
exports.effectsBy = function () {
    var effects = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        effects[_i] = arguments[_i];
    }
    return function () { return effects.forEach(function (effect) { return effect(); }); };
};
//# sourceMappingURL=effects.js.map