"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var number_1 = require("./number");
describe('util/number', function () {
    describe('roundedProportion', function () {
        it('test1', function () {
            var value = number_1.roundedProportion(20, 999.99);
            expect(value).toEqual(200.98999999999995);
        });
        it('test2', function () {
            var value = number_1.roundedProportion(17, 12.35);
            expect(value).toEqual(2.3499999999999988);
        });
    });
    describe('roundedByPrecisionProportion', function () {
        it('test1', function () {
            var value = number_1.roundedByPrecisionProportion(20, 999.99);
            expect(value).toEqual(200.99);
        });
        it('test2', function () {
            var value = number_1.roundedByPrecisionProportion(17, 12.35);
            expect(value).toEqual(2.35);
        });
    });
});
//# sourceMappingURL=number.spec.js.map