/**
 * @stable [18.04.2020]
 * @param {AnyT} o
 * @returns {boolean}
 */
export declare const isObjectNotEmpty: <TValue>(o: any) => boolean;
/**
 * @stable [18.04.2020]
 * @param {AnyT} o
 * @returns {boolean}
 */
export declare const isObjectEmpty: <TValue>(o: any) => boolean;
/**
 * @stable [18.03.2020]
 * @param {AnyT} o
 * @returns {boolean}
 */
export declare const isStringNotEmpty: <TValue>(o: any) => boolean;
/**
 * @stable [15.05.2020]
 */
export declare class ObjectUtils {
    static buildNotEmptyOrNullValuesObject: <TValue>(object: TValue) => TValue;
    static buildUndefValuesObject: <TValue>(object: TValue) => TValue;
    static buildValuesObjectBy: <TValue>(object: TValue, mergeFn?: (o: any, key: any) => any) => TValue;
    static isCurrentValueNotEqualPreviousValue: (current: any, previous: any) => boolean;
    static isObjectNotEmpty: <TValue>(o: any) => boolean;
}
